
%define _libsuffix %(echo %{_libdir}|sed 's/64$//')

Name:           qutecom
Version:        2.2.1
Release:        %mkrel 1
Summary:     A sip phone
License:        GPL-2.0
Group:         Networking/Instant messaging
Url:              http://trac.qutecom.org
Source:        %{name}-%{version}.tar.xz
Patch1:         qutecom-wifo-fix.patch
Patch3:         qutecom-install.patch
Patch4:         qutecom-2.2.1_videodev.patch
Patch5:         qutecom-2.2.1_boost.patch
Patch6:         qutecom-2.2.1_libav9.patch
Patch7:         qutecom-2.2.1_libav10.patch
Patch8:         qutecom-2.2.1_link_pthread.patch
Patch9:         qutecom-2.2.1_link_boost_sys.patch
Patch10:        qutecom-2.2.1_avcodec0.7-api.patch
Patch11:        no-return-in-nonvoid-function.patch
Patch12:        qutecom-2.2.1_find-qt4-cmake30.patch
Patch13:        qutecom-2.2.1_cmake-force-fpic.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#-------------------------------------------------------
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}qtwebkit4-devel 
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}speex1-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires: %{_lib}v4l-devel
BuildRequires: %{_lib}x11-devel 
BuildRequires: %{_lib}xscrnsaver-devel
BuildRequires: pidgin-devel
#-------------------------------------------------------

%description
QuteCom is a community of enthusiasts and developers, creating free
software products related to communication over IP. The flagship
product of the QuteCom project is a softphone which allows you to make
free PC to PC video and voice calls, and to integrate all your IM
contacts in one place.

%prep
%setup -q
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

sed -i '/gtypes.h/d' \
libs/imwrapper/src/purple/PurpleIMFactory.h

sed -i '/<QtCore\/QTime>/ a\#include <QtCore/QTimer>' \
qutecom/src/presentation/qt/chat/QtChatHistoryWidget.cpp

sed -i '/<stdarg.h>/ a\#include <string.h>\n#include <unistd.h>' \
wifo/libosip2/src/osipparser2/osip_port.c

%build
LIBSUFFIX=$(echo "%{_lib}" | sed 's|^lib||')
pushd build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
cmake \
    -DCMAKE_EXE_LINKER_FLAGS="-lX11" \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=OFF \
    -DCMAKE_INSTALL_RPATH="%{_libdir}/qutecom" \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
    -DCMAKE_STRIP="%{_bindir}/touch" \
    -DLIB_SUFFIX="$LIBSUFFIX" \
    -DPORTAUDIO_INTERNAL=OFF \
    -DOSIP_INTERNAL=ON \
    -DLIBPURPLE_INTERNAL=OFF \
    ..
make %{?_smp_mflags}
popd

%install
rm -rf %buildroot
pushd build
%make_install
popd

L="$PWD/lang"
echo -n >"$L"
pushd "%{buildroot}%{_datadir}/%{name}/lang"
/bin/ls -1 *.qm | while read qm; do
    [ -e "$qm" ] || continue
    l="${qm%.qm}"
    echo "%lang($l) %{_datadir}/%{name}/lang/${qm}" >>"$L"
done

#Removed zero-length files
find %{buildroot}%{_datadir}/%{name}/chat -type f -empty -exec rm {} \;

#Removed useless files
find %{buildroot}%{_datadir}/%{name}/chat -type f -name *.c -exec rm {} \;

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="VideoConference" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files -f lang
%defattr(-,root,root)
%doc README COPYING %{name}/AUTHORS
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lang
%exclude %{_datadir}/%{name}/AUTHORS
%exclude %{_datadir}/%{name}/COPYING
%{_datadir}/%{name}/chat
%{_datadir}/%{name}/config
%{_datadir}/%{name}/css
%{_datadir}/%{name}/pics
%{_datadir}/%{name}/qutecom.qrc
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/webpages
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%attr(0755,root,root) %{_libsuffix}/pm-utils/sleep.d/70QuteCom
%{_libdir}/%{name}
%{_bindir}/%{name}

%changelog
* Sun Mar 22 2015 bb <bb> 2.2.1-1pclos2015
- update using suse patcheset
